
@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@200;300;400;500;600;700&amp;display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Roboto, sans-serif;
}

:root {
  --sidebar-backgound-color: #24275D;
  --navbar-backgound-color: #fff;
  --highlight-color: #F05033;
  --sidebar-title-color: #fff;
  --sidebar-item-color: #fff;
  --background-color: #DCDDDE;
  --inner-background-color: #fff;
  --sidebar-width: 260px;
  --header-height: 80px;
  --logo-width: 150px;
  --logo-height: 50px;
  --navbar-padding: 30px;
  --sidebar-hover-color: #fff;
  --navbar-shadow-color: #cbcac8;
  --sidebar-shadow-color: #cbcac8;
  --submit-button-color: #007bff;
  --submit-text-color: #fff;
  --submit-hover-color: #005eb9;
  --content-shadow-color: #ccc;
  --navbar-text-color: #000;
}
@media (prefers-color-scheme: dark) {
  :root {
    --sidebar-backgound-color: #24275D;
    --navbar-backgound-color: #fff;
    --highlight-color: #F05033;
    --sidebar-title-color: #fff;
    --sidebar-item-color: #fff;
    --background-color: #DCDDDE;
    --inner-background-color: #fff;
    --sidebar-width: 260px;
    --header-height: 80px;
    --logo-width: 150px;
    --logo-height: 50px;
    --navbar-padding: 30px;
    --sidebar-hover-color: #fff;
    --navbar-shadow-color: #cbcac8;
    --sidebar-shadow-color: #cbcac8;
    --content-shadow-color: #ccc;
    --navbar-text-color: #000;
  }
}
body {
  transition: all 0.5s ease;
  background-color: var(--background-color) !important;
}

/* Estilos para el contenido principal*/
.content-wrapper {
  margin-left: 300px;
  margin-top: 120px; 
  margin-right: 300px;
  z-index: 1;
  max-width: 90%;
  padding: 20px;
  border: 1px solid var(--content-shadow-color);
  border-radius: 10px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
  background-color: var(--inner-background-color);
}

h1 {
  font-size: 25px;
  color: var(--highlight-color);
  font-weight: bold;
}

h2 {
  font-size: 20px;
  color: var(--highlight-color);
  font-weight: bolder;
  padding: 3px;
}

input[type="submit"] {
  margin-right: 10px;
  margin-left: auto;
  display: block;
  background-color: var(--submit-button-color);
  color: var(--submit-text-color);
  border: none;
  border-radius: 3px;
  padding: 5px 10px;
  cursor: pointer;
}

input[type="submit"]:hover {
  background-color: var(--submit-hover-color);
}